/**
 * Get more info at : www.jrebirth.org .
 * Copyright JRebirth.org © 2011-2013
 * Contact : sebastien.bordes@jrebirth.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jrebirth.demo.masteringtables.service;

import org.jrebirth.core.exception.CoreException;
import org.jrebirth.core.service.ServiceBase;
import org.jrebirth.demo.masteringtables.beans.Game;
import org.jrebirth.demo.masteringtables.ui.MTWaves;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The Class SessionService is used to store game data.
 */
public final class SessionService extends ServiceBase {

    /** The Constant LOGGER. */
    private static final Logger LOGGER = LoggerFactory.getLogger(SessionService.class);

    /** The game currently played. */
    private Game currentGame;

    /**
     * @return Returns the currentGame.
     */
    public Game getCurrentGame() {
        return this.currentGame;
    }

    /**
     * @param currentGame The currentGame to set.
     */
    public void setCurrentGame(final Game currentGame) {
        LOGGER.info("Register an new Game Data.");
        this.currentGame = currentGame;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void ready() throws CoreException {
        listen(MTWaves.FINISH_GAME);
    }

}
