/**
 * Get more info at : www.jrebirth.org .
 * Copyright JRebirth.org © 2011-2013
 * Contact : sebastien.bordes@jrebirth.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jrebirth.presentation.eclipsecon.ui.slides.animation;

import org.jrebirth.presentation.ui.base.SlideStep;

// TODO: Auto-generated Javadoc
/**
 * The class <strong>PatternSlideStep</strong>.
 * 
 * @author Sébastien Bordes
 */
public enum AnimationSlideStep implements SlideStep {

    /** The Text. */
    Text,

    /** The Fill transition. */
    FillTransition,

    /** The Stroke transition. */
    StrokeTransition,

    /** The Fade transition. */
    FadeTransition,

    /** The Rotate transition. */
    RotateTransition,

    /** The Pause transition. */
    PauseTransition,

    /** The Scale transition. */
    ScaleTransition,

    /** The Translate transition. */
    TranslateTransition,

    /** The Path transition. */
    PathTransition,

    /** The Timeline. */
    Timeline;

}
