/**
 * Get more info at : www.jrebirth.org .
 * Copyright JRebirth.org © 2011-2013
 * Contact : sebastien.bordes@jrebirth.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jrebirth.presentation.eclipsecon.ui.slides.effect;

import org.jrebirth.presentation.ui.base.SlideStep;

/**
 * The class <strong>EffectSlideStep</strong>.
 * 
 * @author Sébastien Bordes
 */
public enum EffectSlideStep implements SlideStep {

    /** The Text. */
    Text,

    /** The Reflection. */
    Reflection,

    /** The Sepia tone. */
    SepiaTone,

    /** The Drop shadow. */
    DropShadow,

    /** The Inner shadow. */
    InnerShadow,
    // Shadow,

    /** The Bloom. */
    Bloom,

    /** The Glow. */
    Glow,

    /** The Lighting. */
    Lighting,

    /** The Box blur. */
    BoxBlur,

    /** The Motion blur. */
    MotionBlur,

    /** The Gaussian blur. */
    GaussianBlur,

    /** The Perspective transform. */
    PerspectiveTransform,

    /** The Blend. */
    Blend,

    /** The Color adjust. */
    ColorAdjust,

    /** The Displacement map. */
    DisplacementMap;

}
